:root {
  --font-family: 'Montserrat', sans-serif;

  --accent-color: #1ca7be;
  --light-color: #ffffff;
  --title-color: #1f1f1f;
  --text-color: #0b414b;
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

html {
  font-family: var(--font-family);
  font-weight: 400;
  font-style: normal;
  min-width: 390px;
  scroll-behavior: smooth;
}

.page-body {
  margin: 0;
  min-width: 390px;
  min-height: 100%;
  font-size: 16px;
  overflow-y: auto;
  background: var(--light-color);
}

main {
  overflow: hidden;
}
section {
  padding: 40px 0;
}

img {
  max-width: 100%;
  height: auto;
  object-fit: cover;
  user-select: none !important;
}
b {
  font-weight: 500;
}

a {
  text-decoration: none;
}
.dis-scroll {
  overflow: hidden;
  width: 100%;
  height: 100vh;
  overscroll-behavior: none;
}

.btn-reset {
  border: none;
  padding: 0;
  background-color: transparent;
  cursor: pointer;
}

.list-reset {
  list-style: none;
  margin: 0;
  padding: 0;
}

.input-reset {
  -webkit-appearance: none;
  appearance: none;
  border: none;
  border-radius: 0;
  background-color: var(--light-color);

  &::-webkit-search-decoration,
  &::-webkit-search-cancel-button,
  &::-webkit-search-results-button,
  &::-webkit-search-results-decoration {
    display: none;
  }
}

.container {
  width: 100%;
  max-width: 1150px;
  margin-inline: auto;
  padding: 0 35px;
}

.color-text {
  color: var(--accent-color);
}

.title {
  font-family: var(--font-family);
  font-weight: 500;
  font-size: 68px;
  line-height: 130%;
  color: var(--title-color);
}

.btn {
  width: 100%;
  height: 72px;

  display: flex;
  align-items: center;
  justify-content: center;
  gap: 15px;

  font-family: var(--font-family);
  font-weight: 600;
  font-size: 18px;
  line-height: 100%;

  color: var(--light-color);

  border-radius: 100px;
  cursor: pointer;

  background: var(--accent-color);

  transition: transform 0.3s ease;

  &:hover {
    transform: scale(1.1);
  }
}

/* burger */
.burger {
  position: relative;
  border: none;
  padding: 0;
  width: 24px;
  height: 16px;
  color: var(--text-color);
  background-color: transparent;
  cursor: pointer;
  z-index: 12;
}

.burger::before,
.burger::after {
  content: '';
  position: absolute;

  height: 3px;

  background-color: currentColor;
  transition:
    transform 0.3s ease-in-out,
    top 0.3s ease-in-out;
}

.burger::before {
  top: 0;
  left: 0;
  width: 100%;
  color: var(--text-color);
}
.burger::after {
  top: calc(100% - 3px);
  right: 0;
  width: 100%;
}

.burger-line {
  position: absolute;
  left: 0;
  top: 50%;
  width: 100%;
  height: 3px;
  border-radius: 4px;
  background-color: currentColor;
  transform: translateY(-50%);
  transition: transform 0.3s ease-in-out;
}

.burger--active {
  color: var(--text-color);
}
.burger--active::before {
  top: 50%;
  width: 100%;
  transform: rotate(45deg);
  transition:
    transform 0.3s ease-in-out,
    top 0.3s ease-in-out;
}

.burger--active::after {
  top: 50%;
  width: 100%;
  transform: rotate(-45deg);
  transition:
    transform 0.3s ease-in-out,
    top 0.3s ease-in-out;
}

.burger--active .burger-line {
  color: var(--text-color);
  transform: scale(0);
  transition: transform 0.3s ease-in-out;
}
.line {
  width: 100%;
  border-bottom: 1px solid var(--text-color);
}

/* burger */

@media screen and (max-width: 1100px) {
  .title {
    font-size: 40px;
  }
}
@media screen and (max-width: 1100px) {
  .title {
    font-size: 32px;
  }
}
/* Ð¡Ñ‚Ð¸Ð»Ð¸Ð·Ð°Ñ†Ð¸Ñ ÑÐºÑ€Ð¾Ð»Ð»Ð±Ð°Ñ€Ð° */
::-webkit-scrollbar {
  width: 8px; /* Ð¨Ð¸Ñ€Ð¸Ð½Ð° ÑÐºÑ€Ð¾Ð»Ð»Ð±Ð°Ñ€Ð° */
}

/* ÐŸÐ¾Ð»Ð·ÑƒÐ½Ð¾Ðº ÑÐºÑ€Ð¾Ð»Ð»Ð±Ð°Ñ€Ð° */
::-webkit-scrollbar-thumb {
  background: var(--accent-color); /* Ð¦Ð²ÐµÑ‚ Ð¿Ð¾Ð»Ð·ÑƒÐ½ÐºÐ° */
  border-radius: 5px; /* Ð—Ð°ÐºÑ€ÑƒÐ³Ð»ÐµÐ½Ð½Ñ‹Ðµ ÑƒÐ³Ð»Ñ‹ */
}

/* Ð¢Ñ€ÐµÐº ÑÐºÑ€Ð¾Ð»Ð»Ð±Ð°Ñ€Ð° */
::-webkit-scrollbar-track {
  background: var(--light-color); /* Ð¦Ð²ÐµÑ‚ Ñ‚Ñ€ÐµÐºÐ° */
}
